MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager:

## Public Member Functions
int | ReadNumberOfAvailableSnapshots ()
| Returns number of available snapshot slots.
void | LoadSnapshot (int snapshotNumber)
| Loads the snapshot by it's number.
void | SaveSnapshot (int snapshotNumber)
| Saves current configuration to the snapshot by it's number.
int | ReadStartupSnapshotNumber ()
| Returns snapshot's number that is load on system startup.
void | WriteStartupSnapshotNumber (int snapshotNumber)
| Sets snapshot's number that is load on system startup.
int | ReadErrorSystemId ()
| Returns ID of system which caused the last snapshot error.
int | ReadErrorRegisterId ()
| Returns ID of register which caused the last snapshot error.
int | ReadErrorValue ()
| Returns ID of value which caused the last snapshot error.

## Member Function Documentation

## ◆ LoadSnapshot()

void MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.LoadSnapshot | ( | int | snapshotNumber | ) |

Loads the snapshot by it's number.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadErrorRegisterId()

int MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.ReadErrorRegisterId | ( |  | ) |

Returns ID of register which caused the last snapshot error.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadErrorSystemId()

int MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.ReadErrorSystemId | ( |  | ) |

Returns ID of system which caused the last snapshot error.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadErrorValue()

int MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.ReadErrorValue | ( |  | ) |

Returns ID of value which caused the last snapshot error.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadNumberOfAvailableSnapshots()

int MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.ReadNumberOfAvailableSnapshots | ( |  | ) |

Returns number of available snapshot slots.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadStartupSnapshotNumber()

int MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.ReadStartupSnapshotNumber | ( |  | ) |

Returns snapshot's number that is load on system startup.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SaveSnapshot()

void MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.SaveSnapshot | ( | int | snapshotNumber | ) |

Saves current configuration to the snapshot by it's number.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteStartupSnapshotNumber()

void MrEModuleSdk.Devices.SdkInterfaces.ISnapshotManager.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

Sets snapshot's number that is load on system startup.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/ISnapshotManager.cs